# OSGeo::FDO::Xml::XmlSpatialContextReader Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlSpatialContextReader:

[legend]

List of all members.

## Detailed Description

XmlSpatialContextReader reads Spatial Contexts from an XML document. Unlike other XML Readers, the reading is done procedurally, rather than through events. XmlSpatialContextReader implements ISpatialContextReader to provide the functions for retrieving the spatial contexts that were read.

()

## Public Member Functions
System::String * | GetCoordinateSystem ()
| Gets the name of the coordinate system of the spatial context currently being read. If the result is a null or empty string, the coordinate system is unknown to the spatial context.
System::String * | GetCoordinateSystemWkt ()
| Gets the coordinate system in OpenGIS SRS WKT format of the spatial context currently being read. If the result is an empty string, the coordinate system WKT description is not available.
System::String * | GetDescription ()
| Gets the description of the spatial context currently being read.
System::Byte | GetExtent ()[]
| Gets the extent of the spatial context currently being read as a byte array in FGF format.
OSGeo::FDO::Commands::SpatialContext::SpatialContextExtentType | GetExtentType ()
| Gets the extent type of the spatial context currently being read.
System::String * | GetName ()
| ISpatialContextReader implementation.
OSGeo::FDO::Common::Xml::XmlReader * | GetXmlReader ()
| Gets the Xml document reader that was passed to this object.
System::Double | GetXYTolerance ()
| Gets the tolerance value for XY ordinates of the spatial context currently being read. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
System::Double | GetZTolerance ()
| Gets the tolerance value for Z ordinates of the spatial context currently being read. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs a frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
System::Boolean | IsActive ()
| Returns true if the spatial context currently being read is the active spatial context.
System::Boolean | ReadNext ()
| Advances the reader to the next item. The default position of the reader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.
| XmlSpatialContextReader (OSGeo::FDO::Common::Xml::XmlReader *reader, OSGeo::FDO::Xml::XmlSpatialContextFlags *flags)
| creates a Spatial Context Reader.
| XmlSpatialContextReader (OSGeo::FDO::Common::Xml::XmlReader *reader)
| creates a Spatial Context Reader.